### Method

# Ide Pipeline get_srcdir

#### Declaration

    const gchar*
    ide_pipeline_get_srcdir (
      IdePipeline* self
    )

#### Description

Gets the “srcdir” of the project. This is equivalent to the IdeVcs:working-directory property as a string.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| The path of the source directory.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.